###

#

MutableHomogeneousPixelConcept< P > Struct Template Reference
Pixel » Concepts

Homogeneous pixel concept that allows for changing its channels. More...

`#include <pixel.hpp>`

## Public Member Functions

void | constraints ()

## Public Attributes

P::template element_type< P >::type | v
P | p

## Detailed Description

template<typename P>
struct boost::gil::MutableHomogeneousPixelConcept< P >

Homogeneous pixel concept that allows for changing its channels.

concept MutableHomogeneousPixelConcept<HomogeneousPixelConcept P>
: MutableHomogeneousColorBaseConcept<P>
{
P::template element_reference_type<P>::type operator[](P p, std::size_t i)
{
return dynamic_at_c(p, i);
}
};
boost::gil::HomogeneousPixelConcept
Homogeneous pixel concept.
Definition: concepts/pixel.hpp:124
boost::gil::MutableHomogeneousColorBaseConcept
Homogeneous color base that allows for modifying its elements.
Definition: concepts/color_base.hpp:258
boost::gil::MutableHomogeneousPixelConcept
Homogeneous pixel concept that allows for changing its channels.
Definition: concepts/pixel.hpp:149
boost::gil::element_reference_type
Specifies the return type of the mutable element accessor at_c of a homogeneous color base.
Definition: color_base_algorithm.hpp:230

The documentation for this struct was generated from the following file:

- concepts/pixel.hpp